Bug 962154 - spacewalk-service assumes Oracle is used if it's installed
spacewalk-service assumes Oracle is used if it's installed
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.9
i386 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On:
Blocks: space20
  Show dependency treegraph
 
Reported: 2013-05-12 01:00 EDT by Michel Alexandre Salim
Modified: 2013-08-02 09:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: spacewalk-admin-1.10.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 09:10:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2013-05-12 01:00:22 EDT
Description of problem:
I have a Spacewalk installation using PostgreSQL that happens to be located on a server that also hosts an Oracle installation. Right now this causes a problem, as the spacewalk-service script assumes Spacewalk is configured to use Oracle if /etc/init.d/oracle is present

Version-Release number of selected component (if applicable):
spacewalk-admin-1.9.10-1.el5

How reproducible:
Always

Steps to Reproduce:
1. Install Spacewalk with a PostgreSQL backend on a machine with an Oracle installation
2. spacewalk-service stop
  
Actual results:
Oracle is erroneously stopped

Expected results:
Oracle service should be left untouched

Additional info:
Comment 1 Michael Mráka 2013-05-13 04:39:26 EDT
Hi Michel,

you may modify list of services managed by spacewalk in /etc/rhn/service-list.
To remove oracle from list put
  SERVICES=${SERVICES/oracle/}
there.
Comment 2 Michael Mráka 2013-05-13 04:49:02 EDT
Fixed in spacewalk master by
commit d8b65bc78918ef946e85bad4c8828ed3885bcee3
    962154 - don't manage oracle service by default
    if user wants to manage it they can manually add service to /etc/rhn/service-list
Comment 3 Michel Alexandre Salim 2013-05-13 23:05:58 EDT
Hi Michael,

Thanks, that commit should do the trick; I'm using service-list in the meantime.

(Didn't know that Bash trick before - neat)
Comment 4 Tomáš Kašpárek 2013-08-02 09:10:24 EDT
Fix for this bug is present in Spacewalk 2.0, closing this bug as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.